# Enum Class FrameType

java.lang.Object
java.lang.Enum<FrameType>
org.snpeff.interval.FrameType

All Implemented Interfaces:
  `Serializable, Comparable<FrameType>, Constable`

public enum FrameType extends Enum<FrameType>
Type of frame calculations Internally, we use GFF style frame calculation for Exon / Transcript Technically, these are 'frame' and 'phase' which are calculated in different ways UCSC type: Indicated the coding base number modulo 3. This is the 'classical' definition of frame. GFF/GTF type: Indicates the number of bases that should be removed from the beginning of this feature to reach the first base of the next codon. 0) indicates that the feature begins with a whole codon at the 5' most base. 1) means that there is one extra base (the third base of a codon) before the first whole codon and 2) means that there are two extra bases (the second and third bases of the codon) before the first codon Sometimes this is called 'phase' instead of frame, to distinguish form the previous definition. Valid numbers are {-1, 0, 1, 2}, where -1 indicates 'unknown'

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FRAME`
`GFF`
`PHASE`
`UCSC`
`UNKNOWN`

## Method Summary

Modifier and Type
Method
Description
`int`
`convertFrame(int frame)`
`int`
`frameFromLength(int length)`
Calculate frame from cds length
`static FrameType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FrameType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### GFF

public static final FrameType GFF

### UCSC

public static final FrameType UCSC

### PHASE

public static final FrameType PHASE

### FRAME

public static final FrameType FRAME

### UNKNOWN

public static final FrameType UNKNOWN

## Method Details

### values

public static FrameType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FrameType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### convertFrame

public int convertFrame(int frame)

### frameFromLength

public int frameFromLength(int length)
Calculate frame from cds length